jQuery(document).ready(function($) {

  changePage();
  selectCat();

  // Page selection
  function changePage() {

    $(document).on('click','.navigation-pag > ul > li > a',function() {

      if( ! $(this).closest('li').hasClass('next-page') && ! $(this).closest('li').hasClass('prev-page') ) {
        $('.navigation-pag > ul > li').removeClass('active');
        $(this).closest('li').addClass('active');
        paged = $(this).html();
      } else {
        // ADDING OR REDUCING ONE PAGE
        $('.navigation-pag > ul > li').each(function() {
          if($(this).hasClass('active')) {
            currentPos = $(this).find('a').text();
          }
        });
        paged=currentPos;
        $('.navigation-pag > ul > li').removeClass('active');
        // Disable comments if magazines-filter is disabled
        /*if( $(this).closest('li').hasClass('next-page') ) {
          currentPos++;
        }
        if( $(this).closest('li').hasClass('prev-page') ) {
          currentPos--;
        }*/

        $('.navigation-pag > ul > li > a').each(function() {
          if($(this).text()==currentPos) {
            $(this).closest('li').addClass('active');
          }
        });
        paged=currentPos;

      }

      if($('.hf-terms-list').css('display')=="block") {
        loadFilter(getCurrentCat(),paged);
      } else {
        loadFilter(getCurrentCat(), paged);
      }


    });

  }

  function getCurrentCat() {

    var code = jQuery('.hf-terms-list a.active').data('cat');
    return code;

  }

  function getCode() {

    empty = true;

    jQuery('.hf-terms-list a.list').each(function() {
      empty=false;
      code=$(this).data('cat');
    });

    if(empty==true) {
      return "";
    } else {
      return code;
    }

  }

  function getCodeSelect() {

    empty = true;

    jQuery('.hf-terms-select select').each(function() {
      empty=false;
      code=$(this).val();
    });

    if(empty==true) {
      return "";
    } else {
      return code;
    }

  }

  function selectCat() {
    jQuery('.hf-terms-list a').on('click',function() {
      jQuery('.hf-terms-list a').removeClass('active');
      $(this).addClass('active');
      $('.navigation-pag > ul > li').removeClass('active');
      $('.navigation-pag > ul > li:first-child').addClass('active');

      loadFilter($(this).data('cat'),1);
    });

    jQuery('.hf-terms-select select').on('change',function() {

      $('.navigation-pag > ul > li').removeClass('active');
      $('.navigation-pag > ul > li:first-child').addClass('active');

      loadFilter($(this).val(),1);
    });
  }

  // It loads the results depending on the button the user clicks
  function loadFilter(categ,paged) {

    if(categ!='') {
      var term_code = categ;
    } else {
      var term_code = "";
    }


    $('.tabs-hf > li').each(function() {
      if($(this).hasClass('active')) {

        var current = $(this).find('a').attr('href');

        if(current=="#cat-emocionales") {
          term_cat = "categorias_emocionales";
        } else {
          term_cat = "category";
        }

      }
    });

    var data = {
    	action: 'show_filter',
    	security : S_Filter.security,
      term_code: term_code,
      term_cat: term_cat,
      paged: paged
  		};

      jQuery.ajax({
          type: "POST",
          url: S_Filter.ajaxurl,
          dataType: "html",
          data: data,
          beforeSend: function(){
              jQuery('.hf-loader').css({'display':'block'}).animate({'opacity':1});
          },
          success: function(msg) {

            // No results
            if(msg=="no") {

              $('.hf-results-row').fadeOut('slow', function() {
                $('.hf-results-row').empty();
                $('.hf-results-row').append("No hay resultados");
                $('.hf-results-row').fadeIn("slow",function() {
                  $('html,body').animate({
                  scrollTop: $(".up-pagination").offset().top-110},
                  'slow');
                });
              });

            } else { // There are results

              $('.hf-results-row').fadeOut('slow', function() {
                $('.hf-results-row').empty();
                $('.hf-results-row').append(msg);
                $('.hf-results-row').fadeIn("slow",function() {
                  $('html,body').animate({
                  scrollTop: $(".up-pagination").offset().top-110},
                  'slow');
                });
              });

            }


          },
          error: function(msg) {
            console.log(msg);
          },
          complete: function(){
              jQuery('.hf-loader').animate({'opacity':0}).delay("slow").css({'display':'none'});
          }
      });

  }

});
